Get list of files for given module
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/exports/files-list \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01.oms.fabric.inc/api/v2/exports/files-list"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/exports/files-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"[KeyId1, KeyId2]"{
"message": "Bad Request"
}{
"message": "Not a valid module name"
}{
"message": "Internal Server Error"
}Export
Get list of files for given module
Retrieves list of files for given module. Accepted values are order, location, allocation, inventory, invoice, and network.
GET
/
exports
/
files-list
Get list of files for given module
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
Example:
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Query Parameters
Response
List of network export keys
Was this page helpful?
